be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class CompoundprescriptionType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.CompoundprescriptionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:00:54+02:00",
                 comments="JAXB RI v2.3.7")
      public class CompoundprescriptionType
      extends Object
      implements Serializable

  a magistral preparation can be prescribed as a (coded) reference to a preparation in a reference book (formularyreference), or as a (coded) list of individual compounds (compoundlist), or as free text (magistraltext)

  Java class for compoundprescriptionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="compoundprescriptionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence minOccurs="0">
               <choice>
                 <element name="compound" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}compoundType" maxOccurs="unbounded"/>
                 <element name="formularyreference" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}formularyreferenceType"/>
                 <element name="magistraltext" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               </choice>
               <element name="galenicform" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}galenicformType" minOccurs="0"/>
               <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}quantityType" minOccurs="0"/>
             </sequence>
             <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundprescriptionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CompoundType>` | `getCompound()` Gets the value of the compound property.
    `List<FormularyreferenceType>` | `getFormularyreference()` Gets the value of the formularyreference property.
    `List<GalenicformType>` | `getGalenicform()` Gets the value of the galenicform property.
    `String` | `getL()` Gets the value of the l property.
    `List<TextType>` | `getMagistraltext()` Gets the value of the magistraltext property.
    `List<String>` | `getMixedContent()` Gets the value of the mixedContent property.
    `List<QuantityType>` | `getQuantity()` Gets the value of the quantity property.
    `void` | `setL(String value)` Sets the value of the l property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundprescriptionType

          public CompoundprescriptionType()

  - ### Method Detail

    - #### getCompound

          public List<CompoundType> getCompound()

      Gets the value of the compound property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the compound property.

      For example, to add a new item, do as follows:

              getCompound().add(newItem);

      Objects of the following type(s) are allowed in the list `CompoundType`

    - #### getFormularyreference

          public List<FormularyreferenceType> getFormularyreference()

      Gets the value of the formularyreference property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the formularyreference property.

      For example, to add a new item, do as follows:

              getFormularyreference().add(newItem);

      Objects of the following type(s) are allowed in the list `FormularyreferenceType`

    - #### getMagistraltext

          public List<TextType> getMagistraltext()

      Gets the value of the magistraltext property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the magistraltext property.

      For example, to add a new item, do as follows:

              getMagistraltext().add(newItem);

      Objects of the following type(s) are allowed in the list `TextType`

    - #### getGalenicform

          public List<GalenicformType> getGalenicform()

      Gets the value of the galenicform property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the galenicform property.

      For example, to add a new item, do as follows:

              getGalenicform().add(newItem);

      Objects of the following type(s) are allowed in the list `GalenicformType`

    - #### getQuantity

          public List<QuantityType> getQuantity()

      Gets the value of the quantity property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the quantity property.

      For example, to add a new item, do as follows:

              getQuantity().add(newItem);

      Objects of the following type(s) are allowed in the list `QuantityType`

    - #### getMixedContent

          public List<String> getMixedContent()

      Gets the value of the mixedContent property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the mixedContent property.

      For example, to add a new item, do as follows:

              getMixedContent().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getL

          public String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.